Cyberduck Mountain Duck CLI

#6391 closed defect (fixed)

I/O Error with multipart uploads

Reported by: mikk Owned by: dkocher
Priority: high Milestone:
Component: s3 Version: Nightly Build
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by mikk)

Hi!

Upload two (test) files cause error. Files: see attached files.

Log:

GET / HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:58 GMT
Authorization:
Host: s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: ovL+l9jjwG+lVIguHqyh6bmWTNUpHFGeceoqdff8l83Ace+XbWR4wy5TdmH4F1b0
x-amz-request-id: CDDEEF2E678F1B51
Date: Fri, 25 Nov 2011 18:28:57 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:58 GMT
Authorization:
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: ONAWFUjyMJrk2hHuQ99IHPTUZCh1vrRcwi9Q+mnQlmqEznes8bHRT8Xj1Caxn3NF
x-amz-request-id: F6999D8494CFD878
Date: Fri, 25 Nov 2011 18:28:57 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:58 GMT
Authorization:
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: hPtDbAXoXE1Z0j3rcvJ6V+QRQNPkaTlmXGcBMxzv0doya2n5y9a7Ulo7CWvXObuv
x-amz-request-id: 9071D5034483C5C6
Date: Fri, 25 Nov 2011 18:28:57 GMT
Transfer-Encoding: chunked
Server: AmazonS3
POST /TestFile_100MB-01.dat?uploads HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:59 GMT
x-amz-storage-class: STANDARD
x-amz-server-side-encryption: AES256
Content-Type: application/octet-stream
Authorization:
Content-Length: 0
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: pBMbrYL3xY/T7odbrPVoxfTYcApHFHBKMwtsDZu5SCEJ5DHXDpxOjcwwC1zWybcH
x-amz-request-id: 60647C0FD0332130
Date: Fri, 25 Nov 2011 18:28:57 GMT
x-amz-server-side-encryption: AES256
Transfer-Encoding: chunked
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=2 HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:59 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=1 HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:59 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=3 HTTP/1.1
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=4 HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:59 GMT
Expect: 100-continue
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=5 HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:59 GMT
Content-Type: application/octet-stream
Date: Fri, 25 Nov 2011 18:28:59 GMT
Content-Type: application/octet-stream
Authorization:
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: vjTO9b8ObP31jNvTt4C2zwSx8QWL1OOA9L0nYMjeoFNPRA/Nf+pREfJtMo3kEVPG
x-amz-request-id: 3FA8FC170E31C779
Date: Fri, 25 Nov 2011 18:28:57 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=6 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:18 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: o8/ZKOViQ0GEoKjbTCDGZqNAsHVgY/Gnqnk7yiIyDOKqR4uDTy9G9rh7LlRE2+X6
x-amz-request-id: A3B9A154AA2B138F
Date: Fri, 25 Nov 2011 18:28:58 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=7 HTTP/1.1
HTTP/1.1 200 OK
Date: Fri, 25 Nov 2011 18:29:19 GMT
x-amz-id-2: VmlPOubc9q0HmVnLrWiQEvf7IgjeIkiVL8ANXEgUJA38EMC874zngnFV0jRA4YgH
Content-Type: application/octet-stream
x-amz-request-id: E721CEC62A9FA76F
Authorization:
Date: Fri, 25 Nov 2011 18:28:58 GMT
Content-Length: 5242880
ETag: "fbce70f468befb6661cf436c839bf40e"
Host: my.test2.eu.s3.amazonaws.com:443
x-amz-server-side-encryption: AES256
Connection: Keep-Alive
HTTP/1.1 200 OK
Content-Length: 0
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
x-amz-id-2: 5IXKcqr6t0u6b3OPpkvyC5qce1vVPfsSUoPdNgW3CM0wSTyibgIc/uStmHnyR5DE
Server: AmazonS3
Expect: 100-continue
x-amz-request-id: BCE9CC5ED8A32DED
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=8 HTTP/1.1
Date: Fri, 25 Nov 2011 18:28:58 GMT
Date: Fri, 25 Nov 2011 18:29:19 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
Content-Type: application/octet-stream
HTTP/1.1 200 OK
x-amz-server-side-encryption: AES256
Authorization:
x-amz-id-2: iBBu36bjGAMckeGrN5flC4ubLVeCDKufvhdtZItw9ZrQKZwzofZ4K7sLMyDNySy+
Content-Length: 0
Content-Length: 5242880
x-amz-request-id: 1F981CCFBC37913C
Server: AmazonS3
Host: my.test2.eu.s3.amazonaws.com:443
Date: Fri, 25 Nov 2011 18:28:58 GMT
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=9 HTTP/1.1
Connection: Keep-Alive
ETag: "fbce70f468befb6661cf436c839bf40e"
Date: Fri, 25 Nov 2011 18:29:19 GMT
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
x-amz-server-side-encryption: AES256
Content-Type: application/octet-stream
Expect: 100-continue
Content-Length: 0
Authorization:
Server: AmazonS3
Content-Length: 5242880
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=10 HTTP/1.1
Host: my.test2.eu.s3.amazonaws.com:443
Date: Fri, 25 Nov 2011 18:29:19 GMT
Connection: Keep-Alive
Content-Type: application/octet-stream
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Authorization:
Expect: 100-continue
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: IzrmOpI40Q7Y9kV4iF8vdHbEs5XckAM767BSuikffO6ySd/DsuyK3YYByiyH1/Rv
x-amz-request-id: 42A040885EEF046A
Date: Fri, 25 Nov 2011 18:29:17 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=11 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:38 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: ZcJ6jj8RgHUmra3aT/LITmIeObVdkicnbjpxsi/tbNWE6VIPxHggCNvN6sT2NQEy
x-amz-request-id: 35DB99FA06442C4A
Date: Fri, 25 Nov 2011 18:29:17 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=12 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:38 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: 8rrynM7s3VJp3KdKREw7WNIwkKb96WgqaFa77HX9OnqK21IAiti7WNYjXCmxDpec
x-amz-request-id: 0D2D29D82AEFBCED
Date: Fri, 25 Nov 2011 18:29:17 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=13 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:38 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
HTTP/1.1 200 OK
Host: my.test2.eu.s3.amazonaws.com:443
x-amz-id-2: HQeEMsOqac3qjHGtmrTyjl3iDrBdO/+CiJpxaQUndmwJXAWTMuRyo6QSqyX35d2w
Connection: Keep-Alive
x-amz-request-id: 5DE72D1FB03653A6
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Date: Fri, 25 Nov 2011 18:29:18 GMT
Expect: 100-continue
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=14 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:38 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: PLuRRE4C1k4kfcp1WCjrVNhw06JVH0U2rA31DjGpjgvYCJeGsoVGE+Uxub+tojdn
x-amz-request-id: 756B381F8E69EA26
Date: Fri, 25 Nov 2011 18:29:17 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=15 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:39 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: 2V0mp/4Hev0DoiDXPACk+UrSTfdoBlra15tUHCCcX/MrANw8546QJtdQRYjlYQzZ
x-amz-request-id: 307D11944F78A416
Date: Fri, 25 Nov 2011 18:29:37 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=16 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:57 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: /9BsbYAifnw168KzcLo+0FQMO00AeVcAHQi/ee8FqxCHZmSJL7ow1f1iOBPE2LIn
x-amz-request-id: ECB0EF6FC490DE62
Date: Fri, 25 Nov 2011 18:29:36 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=17 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:57 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: PSy4hoW/PWS8LOGqx/Q9bvcWkDyF7CyUb49oMFazC+1U7PDzQmq40qHDSAF5q04d
x-amz-request-id: 4513666B71E50778
Date: Fri, 25 Nov 2011 18:29:37 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=18 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:58 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
Expect: 100-continue
x-amz-id-2: xdlRe5mUBET3TEPoAp9LO18S5EABqrHlRH8L32VfAFxVy5Uw1gcxGdYFaAGfL56Y
x-amz-request-id: 5A74C6F0B72CB59E
Date: Fri, 25 Nov 2011 18:29:37 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=19 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:58 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: f1XvbaZXBtMX+owuboqoLOIHrENDnm2RTYMJc5Ov0CLRPwR1A9AtJH3PFzhCe1V0
x-amz-request-id: 876B25396CC7351D
Date: Fri, 25 Nov 2011 18:29:38 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg--&partNumber=20 HTTP/1.1
Date: Fri, 25 Nov 2011 18:29:58 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: jElPOxXQYBgXsopwTCbtqlTCclzCrlR0I1S7iXBxCUBoOWs3WZ+K6t6oGkpH4USa
x-amz-request-id: 4484C050101C7335
Date: Fri, 25 Nov 2011 18:29:56 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
HTTP/1.1 200 OK
x-amz-id-2: VTbCU02w79aAnr85itclBDH/Tom5dgolWYwl7ue3hwVEibrm69vvDCaC3XDAGOIm
x-amz-request-id: 4179D54D41D288EC
Date: Fri, 25 Nov 2011 18:29:56 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
HTTP/1.1 200 OK
x-amz-id-2: 1Y7/43zhF9lo8hYlVmXGbiOzi+NxxS2ErjWY2QfIllufvtGvyNroXKtOoRoaytv0
x-amz-request-id: E6A3AA68FA473D80
Date: Fri, 25 Nov 2011 18:29:57 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
HTTP/1.1 200 OK
x-amz-id-2: j/tQRWg3uRLIFhtzfTPEEjQAuBJ/Xu96BLNufzYnZMgnqT9hvr4RXYOkL3iukBIX
x-amz-request-id: 4B4A45D0D1103AC8
Date: Fri, 25 Nov 2011 18:29:57 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
HTTP/1.1 200 OK
x-amz-id-2: hATUFZwTiKoXcjOhaTagkVlft2V4C+0LjDBNw6+qgazGu6Bm4VPerAZAG/gP94ZX
x-amz-request-id: 45CBC9F506760D39
Date: Fri, 25 Nov 2011 18:29:56 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
POST /TestFile_100MB-01.dat?uploadId=ntRHC7Wr7mQ6.wfXX11N1SEh3eritpV0H32MessylHx6iRpm6tSyl1WExraw1oEckjbRvlttFiWWMA91V6iyCg-- HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:17 GMT
Content-Type: text/plain
Authorization:
Content-Length: 1844
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: 060p2BdrIpTVKKsrv7RM1OWTS228AgvgDkPeHq9uMxyvAS8HKWMrKNru2F5WFCb4
x-amz-request-id: DB6155F3F20168AA
Date: Fri, 25 Nov 2011 18:30:16 GMT
x-amz-server-side-encryption: AES256
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
POST /TestFile_100MB-02.dat?uploads HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:18 GMT
x-amz-storage-class: STANDARD
x-amz-server-side-encryption: AES256
Content-Type: application/octet-stream
Authorization:
Content-Length: 0
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
HTTP/1.1 200 OK
x-amz-id-2: f71YkG1F5ZmsU133ozdCmEhD0xUavYQoXh1HEjytE4PKgBXYNi6SCGxOEuqCNs2A
x-amz-request-id: 675C5F053054C178
Date: Fri, 25 Nov 2011 18:30:16 GMT
x-amz-server-side-encryption: AES256
Transfer-Encoding: chunked
Server: AmazonS3
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=1 HTTP/1.1
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=3 HTTP/1.1
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=2 HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:18 GMT
Date: Fri, 25 Nov 2011 18:30:18 GMT
Date: Fri, 25 Nov 2011 18:30:18 GMT
Content-Type: application/octet-stream
Content-Type: application/octet-stream
Content-Type: application/octet-stream
Authorization:
Authorization:
Authorization:
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=5 HTTP/1.1
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=4 HTTP/1.1
Content-Length: 5242880
Content-Length: 5242880
Content-Length: 5242880
Date: Fri, 25 Nov 2011 18:30:18 GMT
Date: Fri, 25 Nov 2011 18:30:18 GMT
Host: my.test2.eu.s3.amazonaws.com:443
Host: my.test2.eu.s3.amazonaws.com:443
Host: my.test2.eu.s3.amazonaws.com:443
Content-Type: application/octet-stream
Content-Type: application/octet-stream
Connection: Keep-Alive
Connection: Keep-Alive
Connection: Keep-Alive
Authorization:
Authorization:
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Content-Length: 5242880
Content-Length: 5242880
Expect: 100-continue
Expect: 100-continue
Expect: 100-continue
Host: my.test2.eu.s3.amazonaws.com:443
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
Expect: 100-continue
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=6 HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:18 GMT
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=7 HTTP/1.1
Content-Type: application/octet-stream
Date: Fri, 25 Nov 2011 18:30:18 GMT
Authorization:
Content-Type: application/octet-stream
Content-Length: 5242880
Authorization:
Host: my.test2.eu.s3.amazonaws.com:443
Content-Length: 5242880
Connection: Keep-Alive
Host: my.test2.eu.s3.amazonaws.com:443
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Connection: Keep-Alive
Expect: 100-continue
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
HTTP/1.1 200 OK
x-amz-id-2: 7Sepq3bZP/9lGNpUv3p5EaZK22mctE0gvpw0vub1SPy4QwHQdkFdY9+Ilr527scf
x-amz-request-id: D9A512E0AB1A04C5
Date: Fri, 25 Nov 2011 18:30:17 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=8 HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:38 GMT
Content-Type: application/octet-stream
Authorization:
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
HTTP/1.1 200 OK
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
x-amz-id-2: n0xmk1cHJ02WdIvxzpENE9c6qlzPdPh8NtVVBA4j7gLYinSHSRsXdd2NxTO1ShoZ
Expect: 100-continue
x-amz-request-id: 1F036F3C0CF32F69
Date: Fri, 25 Nov 2011 18:30:17 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
x-amz-server-side-encryption: AES256
Content-Length: 0
Server: AmazonS3
DELETE /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ-- HTTP/1.1
HTTP/1.1 200 OK
Date: Fri, 25 Nov 2011 18:30:38 GMT
x-amz-id-2: XyCWdNUgfPS9UVsj4bGH2rghJ+b5IuEriHE53D8sgDdimbbS63vxHLmYu7vftXUH
Authorization:
HTTP/1.1 200 OK
x-amz-request-id: 6CFADF9A037A83AA
Host: my.test2.eu.s3.amazonaws.com:443
Date: Fri, 25 Nov 2011 18:30:17 GMT
Connection: Keep-Alive
x-amz-id-2: /nABR7aHu4gpMyuWXeEksaV4i0kNTDbw0Pb009BzzpfuwtvV1IfPQFLbet3kdy1y
ETag: "fbce70f468befb6661cf436c839bf40e"
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
x-amz-request-id: 7B503CDD37BA76A3
x-amz-server-side-encryption: AES256
HTTP/1.1 200 OK
Content-Length: 0
x-amz-id-2: Nh47Zto8SQt4FUqDMaViaoYbYcvCavNlQJ6uDoFdBVPAqNkNixIZ7GaZyYQvcbps
Date: Fri, 25 Nov 2011 18:30:17 GMT
Server: AmazonS3
x-amz-request-id: A6682E373D55C9D3
ETag: "fbce70f468befb6661cf436c839bf40e"
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=9 HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:17 GMT
x-amz-server-side-encryption: AES256
HTTP/1.1 204 No Content
Date: Fri, 25 Nov 2011 18:30:38 GMT
ETag: "fbce70f468befb6661cf436c839bf40e"
Content-Length: 0
x-amz-id-2: JhoxZBVqx+cZXJIBzdL13zdIcTmEEOuS9g24jORm9r8qvZRClvAKL78QHkbFY6tZ
Content-Type: application/octet-stream
x-amz-server-side-encryption: AES256
Server: AmazonS3
x-amz-request-id: 90BD6BF7DFB6744F
Authorization:
Content-Length: 0
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=10 HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:37 GMT
Content-Length: 5242880
Server: AmazonS3
Date: Fri, 25 Nov 2011 18:30:38 GMT
Server: AmazonS3
Host: my.test2.eu.s3.amazonaws.com:443
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=11 HTTP/1.1
Content-Type: application/octet-stream
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=12 HTTP/1.1
Connection: Keep-Alive
Date: Fri, 25 Nov 2011 18:30:38 GMT
Authorization:
Date: Fri, 25 Nov 2011 18:30:38 GMT
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Content-Type: application/octet-stream
Content-Length: 5242880
Content-Type: application/octet-stream
Expect: 100-continue
Authorization:
Host: my.test2.eu.s3.amazonaws.com:443
Authorization:
Connection: Keep-Alive
Content-Length: 5242880
Content-Length: 5242880
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Host: my.test2.eu.s3.amazonaws.com:443
Host: my.test2.eu.s3.amazonaws.com:443
Expect: 100-continue
HTTP/1.1 404 Not Found
Connection: Keep-Alive
Connection: Keep-Alive
x-amz-request-id: A3CA2D33752A601D
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
x-amz-id-2: QMyRPeR+Q1xcKgXfe449eo7h6iV+7GfS7Bl0Zgt+k+mvP8SEF4nposMSLgHxIPml
Expect: 100-continue
Content-Type: application/xml
HTTP/1.1 404 Not Found
Expect: 100-continue
Transfer-Encoding: chunked
x-amz-request-id: 44001934B1B37EF3
Date: Fri, 25 Nov 2011 18:30:36 GMT
Connection: close
x-amz-id-2: HoyjgHDj77ndHmin95QTBEejja5Ha1LRQgn7yUFk0+W/FLcq0Lbf+QLQ8on9UOkx
Server: AmazonS3
Content-Type: application/xml
HTTP/1.1 404 Not Found
Transfer-Encoding: chunked
HTTP/1.1 404 Not Found
x-amz-request-id: 36805F854FBEE492
Date: Fri, 25 Nov 2011 18:30:35 GMT
x-amz-id-2: e0dv2z0TRs9uP3TIvfJkEwuNkOmsfWo5Lu6Rib9EJpZTJ5w2BrOgdKvY8IzmOgbw
Content-Type: application/xml
x-amz-request-id: E881639F0EFEDCE1
Connection: close
Transfer-Encoding: chunked
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=13 HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:35 GMT
x-amz-id-2: WzO0kWXfhl6Oax2vNUnaq5YQMlRsQKEMiC5o7ml0tg5k1/MPDsSza94ScehLJtJN
Date: Fri, 25 Nov 2011 18:30:38 GMT
Connection: close
Content-Type: application/octet-stream
Content-Type: application/xml
Server: AmazonS3
Authorization:
Transfer-Encoding: chunked
Server: AmazonS3
Content-Length: 5242880
Date: Fri, 25 Nov 2011 18:30:36 GMT
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=14 HTTP/1.1
Host: my.test2.eu.s3.amazonaws.com:443
Connection: close
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=15 HTTP/1.1
Date: Fri, 25 Nov 2011 18:30:39 GMT
Server: AmazonS3
Connection: Keep-Alive
Content-Type: application/octet-stream
Date: Fri, 25 Nov 2011 18:30:39 GMT
PUT /TestFile_100MB-02.dat?uploadId=Ap6_1u0rhjFMz7ZNrV04C2FhqF4G2INcbUSuTwzNaNU2W75jlUJVFAgTHpfIIc_vUYbmF9sbNhhJ5h_lhhIdhQ--&partNumber=16 HTTP/1.1
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Authorization:
Date: Fri, 25 Nov 2011 18:30:39 GMT
Content-Length: 5242880
Content-Type: application/octet-stream
Expect: 100-continue
Content-Type: application/octet-stream
Host: my.test2.eu.s3.amazonaws.com:443
Authorization:
Authorization:
Content-Length: 5242880
Connection: Keep-Alive
Content-Length: 5242880
Host: my.test2.eu.s3.amazonaws.com:443
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Host: my.test2.eu.s3.amazonaws.com:443
Connection: Keep-Alive
Expect: 100-continue
Connection: Keep-Alive
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
User-Agent: Cyberduck/4.2 (9320) (Windows 7/6.1) (x86)
Expect: 100-continue
Expect: 100-continue

Tested on 9319, 9320

Attachments (1)

testfiles_100MB.7z (29.2 KB) - added by mikk on Nov 25, 2011 at 7:50:04 PM.

Download all attachments as: .zip

Change History (10)

Changed on Nov 25, 2011 at 7:50:04 PM by mikk

comment:1 Changed on Nov 25, 2011 at 7:50:57 PM by mikk

  • Description modified (diff)

comment:2 Changed on Nov 26, 2011 at 2:30:09 PM by dkocher

  • Status changed from new to assigned
  • Summary changed from upload failed (socket closed) to I/O Error with multipart uploads

comment:3 Changed on Nov 26, 2011 at 4:08:27 PM by dkocher

In general it should help to increase the connection timeout in Preferences → Connection if there are I/O errors such as Socket Closed.

comment:4 Changed on Nov 26, 2011 at 11:24:34 PM by mikk

Hi!

Default settings is 30 sec. I change to 60 sec (max) to this settings, but nothing change. My net speed is not bad, 20/10Mbit.

I see not alwasy failed these sample uploads, but very often.

Test:

Kill Cyberduck instances from taskmanager, and delete all uncompleted multipart upload with S3 browser, after:

Upload these samples in four times,
settings: timeout for opening connection 60sec (max). Retry failed networking task is unchecked (default)
error: two times (upload failed, socket closed.)

After error, I see in S3 browser tools/uncompleted multipart uploads, and found, file is "TestFile_100MB-02.dat" and broken is 3 parts. This feature not bad, this is new feature request? :)

comment:5 Changed on Dec 2, 2011 at 9:13:10 PM by mikk

Tested on 9333, result is same: upload failed, socket closed.

comment:6 Changed on Dec 18, 2011 at 8:27:40 PM by mikk

Tested on 9352, result is same: upload failed, socket closed. I think this is very important error.

comment:7 Changed on Dec 18, 2011 at 8:28:09 PM by mikk

  • Priority changed from normal to high
  • Severity changed from major to critical

comment:8 Changed on Dec 27, 2011 at 12:01:50 PM by mikk

Tested on 9359.

Preferences/Connection/Timeout is default (30 sec). Upload files see attached two files.

I see this version works better than olders, I repeat this upload 10 times (start cyberduck, upload sample files, close cyberduck).

Results:

8 times: OK.
1 times: Upload failed, socket closed.
1 times: Cyberduck is crashed.

I repeat this test later...

ps.: I get crashed often, if after upload is finished, I click transfer window/clean up button (default this button is invisible).

comment:9 Changed on Aug 21, 2012 at 8:15:21 AM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

Due to such issues we use multipart uploads as of 5GB only now.

Note: See TracTickets for help on using tickets.
swiss made software